鸟安装pip报:locale.Error: unsupported locale setting

鸟安装pip报:

Traceback (most recent call last):
  File "/usr/lib/python2.7/runpy.py", line 174, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/dist-packages/pip/__main__.py", line 19, in <module>
    sys.exit(pip.main())
  File "/usr/lib/python2.7/dist-packages/pip/__init__.py", line 215, in main
    locale.setlocale(locale.LC_ALL, '')
  File "/usr/lib/python2.7/locale.py", line 581, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

Successfully resolved:

export LC_ALL=C

apt 安装 python-dev python-pip 和一些依赖就可以了啊,不会报错啊,你这有点迷啊,我 pip2pip3 都重装过N多次了

新装的鸟,布吉岛啥毛病

那估计是有些依赖没装的问题


服务器资源由ZeptoVM赞助

Partners Wiki IRC